LayoutDynamicMBean (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.jmx
Class LayoutDynamicMBean

    java.lang.Object
      org.apache.log4j.jmx.AbstractDynamicMBean
          org.apache.log4j.jmx.LayoutDynamicMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration

    public class LayoutDynamicMBean

extends AbstractDynamicMBean

Constructor Summary
`LayoutDynamicMBean(Layout layout)`

Method Summary
`Object` | `getAttribute(String attributeName)`
`protected Logger` | `getLogger()`
`javax.management.MBeanInfo` | `getMBeanInfo()`
`Object` | `invoke(String operationName, Object[] params, String[] signature)`
`void` | `setAttribute(javax.management.Attribute attribute)`

Methods inherited from class org.apache.log4j.jmx.AbstractDynamicMBean
`getAppenderName, getAttributes, postDeregister, postRegister, preDeregister, preRegister, registerMBean, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutDynamicMBean

    public LayoutDynamicMBean(Layout layout)
                       throws IntrospectionException

Throws:
  `IntrospectionException`

Method Detail

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo()

### invoke

    public Object invoke(String operationName,
                         Object[] params,
                         String[] signature)
                  throws javax.management.MBeanException,
                         javax.management.ReflectionException

  Throws:
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### getLogger

    protected Logger getLogger()

  Specified by:
    `getLogger` in class `AbstractDynamicMBean`

### getAttribute

    public Object getAttribute(String attributeName)
                        throws javax.management.AttributeNotFoundException,
                               javax.management.MBeanException,
                               javax.management.ReflectionException

  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### setAttribute

    public void setAttribute(javax.management.Attribute attribute)
                      throws javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException

  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.InvalidAttributeValueException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.